Bug 32793 - import_patrons.pl typo in usage
Summary: import_patrons.pl typo in usage
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Pedro Amorim
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-02-02 09:59 UTC by Pedro Amorim
Modified: 2023-02-06 16:28 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.03


Attachments
Bug 32793: import_patrons.pl typo in usage (1.09 KB, patch)
2023-02-02 10:01 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 32793: import_patrons.pl typo in usage (1.14 KB, patch)
2023-02-02 19:33 UTC, David Nind
Details | Diff | Splinter Review
Bug 32793: import_patrons.pl typo in usage (1.24 KB, patch)
2023-02-03 07:20 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro Amorim 2023-02-02 09:59:22 UTC

    
Comment 1 Pedro Amorim 2023-02-02 10:01:08 UTC
Created attachment 145994 [details] [review]
Bug 32793: import_patrons.pl typo in usage

Typo fix to prevent confusion in CLI usage
Comment 2 David Nind 2023-02-02 19:33:12 UTC
Created attachment 146028 [details] [review]
Bug 32793: import_patrons.pl typo in usage

Typo fix to prevent confusion in CLI usage

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2023-02-02 19:37:40 UTC
Testing notes (using koha-testing-docker):

1. From the command line run: misc/import_patrons.pl --help
2. Note that in the usage section for the [--preserve_field <column>] option, there is an underscore used for --preserve_field. This should be a dash (see the full list under options).
3. Apply the patch.
4. Repeat step 1 - the usage section now has --preserve-field with a dash.
Comment 4 Marcel de Rooy 2023-02-03 07:20:14 UTC
Created attachment 146058 [details] [review]
Bug 32793: import_patrons.pl typo in usage

Typo fix to prevent confusion in CLI usage

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2023-02-03 07:20:37 UTC
Pedro: Please fill the Assignee field !
Comment 6 Tomás Cohen Arazi 2023-02-03 13:33:29 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 7 Jacob O'Mara 2023-02-06 16:28:29 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.